package service

import (
	"dubbo.apache.org/dubbo-go/v3/config"
	_ "dubbo.apache.org/dubbo-go/v3/imports"
	"github.com/exhibition-main/api/account"
	"github.com/exhibition-main/api/artist"
	"github.com/exhibition-main/api/exhibition"
	appConfig "github.com/exhibition-main/internal/config"
)

var GrpcExhibitionClientImpl = new(exhibition.ExhibitionClientImpl)
var AccountProvider = new(account.AccountClientImpl)
var GrpcArtistImpl = new(artist.ArtistClientImpl)

func init() {
	config.SetConsumerService(GrpcArtistImpl)
	config.SetConsumerService(AccountProvider)
	config.SetConsumerService(GrpcExhibitionClientImpl)
	appConfig.GetOptions()
	if err := config.Load(); err != nil {
		panic(err)
	}
}
